# Class pyglet.media.AudioData

A single packet of audio data.

This class is used internally by pyglet.

## Methods

| __init__(self, data, length, timestamp, duration)
| consume(self, bytes, audio_format) Remove some data from beginning of packet.
| get_string_data(self) Return data as a string.

## Instance Variables

str or ctypes array or pointer | data Sample data.
float | duration Total data duration, in seconds.
int | length Size of sample data, in bytes.
float | timestamp Time of the first sample, in seconds.